.demonstrationCourses-main {
  display: flex;
}

.demonstrationCourses-main-tab {
  /* width: 300px; */
  margin-right: 44px;
}

.demonstrationCourses-main-lists {
  display: flex;
  flex-wrap: wrap;
  flex: 1;
  position: relative;
  /* display: none; */
}

.demonstrationCourses-item {
  width: calc((calc(100% - 20px) / 2));
  position: relative;
  margin-right: 20px;
  margin-bottom: 20px;
  overflow: hidden;
}

.demonstrationCourses-item-banner {
  height: 268px;
  transition: all 0.6s;
}

.demonstrationCourses-item-banner img {
  height: 100%;
}

.demonstrationCourses-item:hover .demonstrationCourses-item-banner {
  transform: scale(1.1);
}

.demonstrationCourses-item:nth-child(2n) {
  margin-right: 0;
}

.demonstrationCourses-item-footer {
  position: absolute;
  width: 100%;
  height: 56px;
  box-sizing: border-box;
  padding: 0 20px;
  color: white;
  display: flex;
  align-items: center;
  position: absolute;
  left: 0;
  bottom: 0;
  z-index: 2;
  justify-content: space-between;
}

.demonstrationCourses-item-footer::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  backdrop-filter: blur(10px);
  background-color: rgba(0, 0, 0, 0.5);
}

.demonstrationCourses-item-footer-text {
  position: relative;
  z-index: 2;
}

.demonstrationCourses-main-tab-item {
  margin-bottom: 20px;
  display: flex;
  align-items: center;
  position: relative;
}

.demonstrationCourses-main-tab-item-round {
  margin-right: 20px;
  width: 15px;
  height: 15px;
  overflow: hidden;
  border-radius: 50%;
  position: relative;
  background-color: #d0d0d0;
}

.demonstrationCourses-main-tab-item-round::after {
  content: "";
  display: block;
  width: 6px;
  height: 6px;
  overflow: hidden;
  border-radius: 50%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: white;
}

.demonstrationCourses-main-tab-item-container {
  width: 124px;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  line-height: 1.6;
  font-size: 14px;
  padding: 20px;
  cursor: pointer;
  height: 60px;
  box-sizing: border-box;
  border-radius: 3px;
  position: relative;
}

.demonstrationCourses-main-tab-item.active
  .demonstrationCourses-main-tab-item-round {
  background-color: var(--base-color1);
}

.demonstrationCourses-main-tab-item.active
  .demonstrationCourses-main-tab-item-container {
  background-color: var(--base-color1);
  color: white;
}

.demonstrationCourses-main-tab-item.active
  .demonstrationCourses-main-tab-item-container::after {
  display: block;
  content: "";
  width: 0;
  height: 0;
  border-top: 12px solid transparent;
  border-right: 12px solid transparent;
  border-left: 12px solid var(--base-color1);
  border-bottom: 12px solid transparent;
  position: absolute;
  right: -20px;
  z-index: 2;
}

.demonstrationCourses-main-tab-item::after {
  content: "";
  position: absolute;
  left: 6px;
  height: 60px;
  border: 1px dotted #d0d0d0;
  top: 50%;
  z-index: 2;
  transform: translateY(7px);
}

.demonstrationCourses-main-tab-item:last-child::after {
  display: none;
}

.demonstrationCourses-item-play {
  position: absolute;
  z-index: 3;
  width: 71px;
  height: 71px;
  background-color: rgba(255, 255, 255, 0.85);
  border-radius: 50%;
  top: 50%;
  left: 50%;
  box-sizing: border-box;
  transform: translate(-50%, -50%);
  display: flex;
  align-items: center;
  justify-content: center;
}

.demonstrationCourses-item-play img{
  width: 40%;
  transform: translateX(5px);
}
